openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/SBUF_PARAMETER_GET:
    post:
      tags:
      - SBUF
      summary: Get profile parameter settings
      operationId: /rfc/SBUF_PARAMETER_GET
      requestBody:
        content:
          application/json:
            schema:
              properties:
                PARAMETER_NAME:
                  type: string
                  maxLength: 80
                  description: Name of the profile parameter
              required:
              - PARAMETER_NAME
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  PARAMETER_VALUE:
                    type: string
                    maxLength: 80
                    description: Value of the profile parameter
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
